Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Class AbstractElementSelectionInput

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.elementselection.AbstractElementSelectionInput

All Implemented Interfaces:
  IElementSelectionInput

    public class AbstractElementSelectionInput

extends java.lang.Object
implements IElementSelectionInput

Abstract implementation of an IElementSelectionInput.

Constructor Summary
`AbstractElementSelectionInput(IFilter filter, IAdaptable context, ElementSelectionScope scope, java.lang.String input)` Constructor for an AbstractElementSelectionInput

Method Summary
`IAdaptable` `getContext()` Retrieves the context for the input.
`IFilter` `getFilter()` Retrieves the filter provided for the input.
`java.lang.String` `getInput()` Retrieves a string input filter for the input.
`ElementSelectionScope` `getScope()` Retrieves the scope of the search.
`void` `setContext(IAdaptable context)` Set the context for the element selection input.
`void` `setFilter(IFilter filter)` Set the filter for the element selection input.
`void` `setInput(java.lang.String input)` Set the input filter for the element selection input.
`void` `setScope(ElementSelectionScope scope)` Set the scope for the element selection input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractElementSelectionInput

    public AbstractElementSelectionInput(IFilter filter,
                                         IAdaptable context,
                                         ElementSelectionScope scope,
                                         java.lang.String input)

  Constructor for an AbstractElementSelectionInput

  Parameters:
    `types` - A list of the types.
    `context` - A context for the input.
    `scope` - The scope used for the search for matching objects.
    `filter` - The filter used for the search for matching objects.

Method Detail

### getScope

    public ElementSelectionScope getScope()

  Retrieves the scope of the search.

  Specified by:
    `getScope` in interface `IElementSelectionInput`
  Returns:
    ElementSelectionScope the scope of the search.

### getFilter

    public IFilter getFilter()

  Retrieves the filter provided for the input. The filter is used to give the user of the element selection service control over what types are selected by the providers.

  Most frequently, the filter will select an object if it matches a specific list of types (`IElementType`).

  Specified by:
    `getFilter` in interface `IElementSelectionInput`
  Returns:
    List the list of the input types.

### getContext

    public IAdaptable getContext()

  Retrieves the context for the input.

  Specified by:
    `getContext` in interface `IElementSelectionInput`
  Returns:
    IAdaptable the context for the input.

### getInput

    public java.lang.String getInput()

  Retrieves a string input filter for the input. The filter is used to match objects based on a string (? = any character, * = any string).

  Specified by:
    `getInput` in interface `IElementSelectionInput`
  Returns:
    String the string input filter.

### setContext

    public void setContext(IAdaptable context)

  Set the context for the element selection input.

  Parameters:
    `context` - the context for the element selection input.

### setFilter

    public void setFilter(IFilter filter)

  Set the filter for the element selection input.

  Parameters:
    `filter` - the filter for the element selection input.

### setScope

    public void setScope(ElementSelectionScope scope)

  Set the scope for the element selection input.

  Parameters:
    `scope` - the scope for the element selection input.

### setInput

    public void setInput(java.lang.String input)

  Set the input filter for the element selection input.

  Parameters:
    `input` - the input filter for the element selection input.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.